<launch>

  <group>

    <!-- Segmentation params -->
    <arg name="ns"                               default="segmentation_bench" />
    <arg name="config_file_seg"                      default="$(find grasping_benchmarks_ros)/segmentation_ros/cfg/cfg_segmentation.ini" />
    <arg name="segmentation_node_name"           default="segmentation_node" />
    <arg name="segmentation_service_name"        default="segmentation_service_name" />
    <arg name="segmentation_publisher_name"      default="segmentation_publisher_name" />

    <!-- Launch -->
    <node name="segmentation_planner" pkg="grasping_benchmarks_ros" type="segmentation_service.py" ns="$(arg ns)" output="screen">

      <param name="config_file_seg"                        value="$(arg config_file_seg)" />
      <param name="segmentation_node_name"             value="$(arg segmentation_node_name)" />
      <param name="segmentation_service_name"          value="$(arg segmentation_service_name)" />
      <param name="segmentation_publisher_name"        value="$(arg segmentation_publisher_name)" />
    </node>
  </group>
</launch>
